/*
 * Copyright (C) 2005 NTT DATA Corporation
 * 
 */
package org.postgresforest.vm;

/**
 * ORDER BY の情報クラス
 * 
 * @since 2.0
 */
public class OrderInfo extends ColumnInfo{

	public static final int ASC = 0;
	public static final int DESC = 1;

	protected int m_sort = ASC; //昇順/降順



	/**
	 * @param name
	 */
	public OrderInfo(String name) {
		super(name);
	}

	/**
	 * @param number
	 */
	public OrderInfo(int number) {
		super(number);
	}

	/**
	 * @return
	 */
	public int getSort() {
		return m_sort;
	}


	/**
	 * @param i
	 */
	public void setSort(int i) {
		m_sort = i;
	}

}
